# SimplePagination

@Serializable
data class SimplePagination (val page: Int , val size: Int ) : Pagination (source)

#### Parameters

page

Current page number

size

Current page size

## Constructors

SimplePagination
Link copied to clipboard
constructor(page: Int , size: Int )

## Properties

asUrlQueryArrayParts
Link copied to clipboard
val Pagination . asUrlQueryArrayParts : Array < Pair < String , String >>
asUrlQueryParts
Link copied to clipboard
val Pagination . asUrlQueryParts : Map < String , String >
endInclusive
Link copied to clipboard
open override val endInclusive : Int
firstIndex
Link copied to clipboard
val Pagination . firstIndex : Int

First number in index of objects. It can be used as offset for databases or other data sources

isFirstPage
Link copied to clipboard
val Pagination . isFirstPage : Boolean

Logical shortcut for comparison that page is 0

lastIndex
Link copied to clipboard
val Pagination . lastIndex : Int

Last number in index of objects. In fact, one Pagination object represent data in next range:

lastIndexExclusive
Link copied to clipboard
val Pagination . lastIndexExclusive : Int

Last number in index of objects. In fact, one Pagination object represent data in next range:

page
Link copied to clipboard
open override val page : Int
size
Link copied to clipboard
open override val size : Int
start
Link copied to clipboard
open override val start : Int

## Functions

contains
Link copied to clipboard
open operator fun contains (value: Int ): Boolean
intersect
Link copied to clipboard
fun < T : Comparable < T >> ClosedRange < T >. intersect (other: ClosedRange < T >): Pair < T , T >?
fun Pagination . intersect (other: Pagination ): Pagination ?
isEmpty
Link copied to clipboard
open fun isEmpty (): Boolean
limitClause
Link copied to clipboard
fun Pagination . limitClause (): String
nextPage
Link copied to clipboard
inline fun Pagination . nextPage (): SimplePagination
optionallyReverse
Link copied to clipboard
fun Pagination . optionallyReverse (objectsCount: Int , reverse: Boolean ): Pagination
fun Pagination . optionallyReverse (objectsCount: Long , reverse: Boolean ): Pagination
reverse
Link copied to clipboard
fun Pagination . reverse (objectsCount: Int ): SimplePagination

Shortcut for reverse

fun Pagination . reverse (datasetSize: Long ): SimplePagination

Example: